Bug 14020 - Kernel insists upon surgical removal of the power cord.
Kernel insists upon surgical removal of the power cord.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-14 22:15 EDT by Sam Varshavchik
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 16:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2000-07-14 22:15:45 EDT
ABIT (BP6?) dual-Celery motherboard (two 500 Mhz Celeries).  SMP kernel.

Apparently, the shutdown cycle disables the power switch!  After the "Power
Down" state, the power switch does not work :-)  The only way to kill power
to the system is to either:

A) Physically yank the power cord out.

B) Three-fingered salute, then turn the power off during the power-on self
test.
Comment 1 borgia 2000-07-15 09:18:37 EDT
Halt does not poweroff also on a Toshiba 320cds, kernel 2.2.16, tried both with and without realmode
apm calls.
Comment 2 Sam Varshavchik 2000-07-21 23:05:41 EDT
Problem still exists in beta4, but I confirmed that holding the power button for
about five seconds will end up in the power being removed.

Perhaps close this bug, and add a note to the release errata?  This doesn't seem
to be a big problem.
Comment 3 borgia 2000-07-22 14:09:52 EDT
In a laptop with the power button configured to suspend and not to power off, the only option would be to yank the batteries out of their
place. There must be a better option.
Comment 4 Bill Nottingham 2000-07-22 17:25:24 EDT
You can call 'halt' instead of 'poweroff', and it should
not try to turn off the power.
Comment 5 Hans de Goede 2000-07-24 16:45:07 EDT
I think the problem for atleast borgia is that he calls halt and not poweroff,
hint for those above who are having trouble with halt not powering of there atx
machine. Use poweroff or halt -p. halt now does just that: halt the machine
(take a look at the last message printed by the kernel, if it is System halted
then you should call poweroff or halt -p)

If you are indead halting your machine then it is not unusal for the atx
powerbutton to need 5 seconds, depending on the mb it needs that under plain dos
too for example.

Note You need to log in before you can comment on or make changes to this bug.